rabbit.custom.min.consumer : 10
rabbit.custom.max.consumer : 100

rabbit.custom.active.trigger : 1
rabbit.custom.start.min.interval : 1
rabbit.custom.consecutive.idle : 2
rabbit.custom.stop.min.consumer : 1
rabbit.custom.heartbeat.interval : 10000

smtp.pool.max.connections: 10

nfs.shared.stage.folder: "/opt/SHARE/GPEC/lots/stage"

sender.email.defaults.account.from: pectest23l1@coll.postecert.it

email:
  sender:
    services:
    - service: G23L
      accounts:
      - address: gpeccoll1@coll.postecert.it
        password: Password01
        available: true
      - address: gpeccoll2@coll.postecert.it
        password: Password01
        available: true
      - address: gpeccoll3@coll.postecert.it
        password: Password01
        available: true
      - address: gpeccoll4@coll.postecert.it
        password: Password01
        available: true
      - address: gpeccoll5@coll.postecert.it
        password: Password01
        available: true
    - service: ESUB
      accounts:
      - address: gpeccoll6@coll.postecert.it
        password: Password01
        available: true
      - address: gpeccoll7@coll.postecert.it
        password: Password01
        available: false
      - address: gpeccoll8@coll.postecert.it
        password: Password01
        available: false
      - address: gpeccoll9@coll.postecert.it
        password: Password01
        available: false
      - address: gpeccoll10@coll.postecert.it
        password: Password01
        available: false


eureka:
  client:
    healthcheck.enabled: true
    registerWithEureka: true
    fetchRegistry: true
    serviceUrl.defaultZone: ${EUREKA_URI:http://tpod-gpec-appl1.pec-collaudo.pod2.local:8761/eureka/}

spring:
  rabbitmq:
    host: tpod-gpec-mq0.pec-collaudo.pod2.local,tpod-gpec-mq1.pec-collaudo.pod2.local 
    username: sender.spring
    password: 2n6RD4ywu68YgSH
    admin.username: rabbitmq
    admin.password: admin
    virtual-host: /
    ssl:
      enabled: false
      algorithm: TLSv1.2
      key-store: /rabbitmq-security/dev/inno-certs-p12/keycert.p12
      key-store-password: tihm2k16
      trust-store: /rabbitmq-security/dev/rabbitstore
      trust-store-password: truststorepass
  mail:
    host: 192.168.54.177
    protocol: smtps
    port: 465
    username: gpeccoll1@coll.postecert.it
    password: Password01
    properties:
      mail:
        smtp:
          connectiontimeout: 10
          timeout: 1000
          writetimeout: 1000
          auth: true
          starttls:
            enable: true
            required: true

